.ig \"-*- nroff -*-
Copyright (C) 1989-1995 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.

Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translations approved by the Free Software Foundation instead of in
the original English.
..
.\" For best results, print this with groff.
.ds aq \(aq
.ie !\n(.g .if '\(aq'' .ds aq \'
.el \{\
.	tr \(aq\(aq
.	if !c\(aq .ds aq \'
.\}
.if !\n(.g .ig
.\" .Ac accented-char accent char
.de Ac
.char \\$1 \\$3\
\k[acc]\
\h'(u;-\w'\\$2'-\w'\\$3'/2+\\\\n[skw]+(\w'x'*0)-\\\\n[skw])'\
\v'(u;\w'x'*0+\\\\n[rst]+(\w'\\$3'*0)-\\\\n[rst])'\
\\$2\
\v'(u;\w'x'*0-\\\\n[rst]+(\w'\\$3'*0)+\\\\n[rst])'\
\h'|\\\\n[acc]u'
.hcode \\$1\\$3
..
.Ac \(vc \(ah c
.Ac \(vC \(ah C
.TH GROFF_CHAR @MAN7EXT@ "@MDATE@" "Groff Version @VERSION@"
.SH NAME
groff_char \- groff character names
.SH DESCRIPTION
This manual page lists the standard
.B groff
input characters.
Only the characters that are available for the device that
is being used to print this manual page will be displayed.
The
.I "Input code"
column applies to characters which can be
input with a single character, and gives the ISO Latin-1 code
of that input character.
The
.I "PostScript name\"
column gives the usual PostScript name of the output character.
.LP
The ISO Latin-1 no-break space (code 0240 octal) is equivalent to
.BR \e (space).
All other ISO Latin-1 characters print as themselves with the following
exceptions:
.B \`
prints as `,
.B \*(aq
prints as ';
the corresponding ISO Latin-1 characters can be obtained with
.B \e`
and
.BR \e(aq .
The ISO Latin-1 `Hyphen, Minus Sign' (code 45) prints as a hyphen;
a minus sign can be obtained with
.BR \e- .
The ISO Latin-1 `Tilde' (code 126) prints as ~;
the larger glyph can be obtained with
.BR \e(ti .
The ISO Latin-1 `Circumflex Accent' (code 94) prints as ^;
a larger glyph can be obtained with
.BR \e(ha .
.sp
'nf
.nr Sp 3n
.ta \w'\fIOutput'u+\n(Spu +\w'\fIInput'u+\n(Spu +\w'\fIInput'u+\n(Spu \
+\w'periodcentered'u+\n(Spu
.de C0
.C \\$1 "" \\$1 \\$2 "\\$3"
..
.de C1
.C \e\\$1 "" \\\\\\$1 \\$2 "\\$3"
..
.de C2
.C \e(\\$1 "" \\(\\$1 \\$2 "\\$3"
..
.if !\n(.g .ig
.de CD
.C \[char\\$1] \\$1 \[char\\$1] \\$2 "\\$3"
..
.do fspecial CR R
.\" input-name decimal-code output-name ps-name description
.if !\n(.g .ig
.de C
.if c\\$3 \{\
.ft CR
.tr `\`'\*(aq
.in 0
.di CH
\&\\$1
.br
.di
.in
.ft
.ds CH \\*(CH\
.tr ``''
\&\\$3\t\\*(CH\t\\$2\t\\$4\t\\$5
.\}
..
.if \n(.g .ig
.de C
.if !'\\$3'' \{\
.ft B
.tr `\`'\*(aq
.in 0
.di CH
\&\\$1
.br
.di
.in
.ft
.ds CH \\*(CH\
.tr ``''
\&\\$3\t\\*(CH\t\\$2\t\\$4\t\\$5
.\}
..
.wh \n(nlu+\n(.tu-\n(.Vu Fo
.de Fo
'bp
.He
..
.de He
.ft I
Output	Input	Input	PostScript	Notes
	name	code	name
.ft
.LP
'nf
..
.He
.CD 33 exclam
.CD 34 quotedbl
.CD 35 numbersign
.CD 36 dollar
.CD 37 percent
.CD 38 ampersand
.CD 39 quoteright
.CD 40 parenleft
.CD 41 parenright
.CD 42 asterisk
.CD 43 plus
.CD 44 comma
.CD 45 hyphen
.CD 46 period
.CD 47 slash
.CD 58 colon
.CD 59 semicolon
.CD 60 less
.CD 61 equal
.CD 62 greater
.CD 63 question
.CD 64 at
.CD 91 bracketleft
.CD 92 backslash
.CD 93 bracketright
.CD 94 circumflex "circumflex accent"
.CD 95 underscore
.CD 96 quoteleft
.CD 123 braceleft
.CD 124 bar
.CD 125 braceright
.CD 126 tilde "tilde accent"
.CD 161 exclamdown
.CD 162 cent
.CD 163 sterling
.CD 164 currency
.CD 165 yen
.CD 166 brokenbar
.CD 167 section
.CD 168 dieresis
.CD 169 copyright
.CD 170 ordfeminine
.CD 171 guillemotleft
.CD 172 logicalnot
.CD 173 hyphen
.CD 174 registered
.CD 175 macron
.CD 176 degree
.CD 177 plusminus
.CD 178 twosuperior
.CD 179 threesuperior
.CD 180 acute "acute accent"
.CD 181 mu
.CD 182 paragraph
.CD 183 periodcentered
.CD 184 cedilla
.CD 185 onesuperior
.CD 186 ordmasculine
.CD 187 guillemotright
.CD 188 onequarter
.CD 189 onehalf
.CD 190 threequarters
.CD 191 questiondown
.CD 192 Agrave
.CD 193 Aacute
.CD 194 Acircumflex
.CD 195 Atilde
.CD 196 Adieresis
.CD 197 Aring
.CD 198 AE
.CD 199 Ccedilla
.CD 200 Egrave
.CD 201 Eacute
.CD 202 Ecircumflex
.CD 203 Edieresis
.CD 204 Igrave
.CD 205 Iacute
.CD 206 Icircumflex
.CD 207 Idieresis
.CD 208 Eth
.CD 209 Ntilde
.CD 210 Ograve
.CD 211 Oacute
.CD 212 Ocircumflex
.CD 213 Otilde
.CD 214 Odieresis
.CD 215 multiply
.CD 216 Oslash
.CD 217 Ugrave
.CD 218 Uacute
.CD 219 Ucircumflex
.CD 220 Udieresis
.CD 221 Yacute
.CD 222 Thorn
.CD 223 germandbls
.CD 224 agrave
.CD 225 aacute
.CD 226 acircumflex
.CD 227 atilde
.CD 228 adieresis
.CD 229 aring
.CD 230 ae
.CD 231 ccedilla
.CD 232 egrave
.CD 233 eacute
.CD 234 ecircumflex
.CD 235 edieresis
.CD 236 igrave
.CD 237 iacute
.CD 238 icircumflex
.CD 239 idieresis
.CD 240 eth
.CD 241 ntilde
.CD 242 ograve
.CD 243 oacute
.CD 244 ocircumflex
.CD 245 otilde
.CD 246 odieresis
.CD 247 divide
.CD 248 oslash
.CD 249 ugrave
.CD 250 uacute
.CD 251 ucircumflex
.CD 252 udieresis
.CD 253 yacute
.CD 254 thorn
.CD 255 ydieresis
.C2 -D Eth "Icelandic uppercase eth"
.C2 Sd eth "Icelandic lowercase eth"
.C2 TP Thorn "Icelandic uppercase thorn"
.C2 Tp thorn "Icelandic lowercase thorn"
.C2 AE AE
.C2 ae ae
.C2 OE OE
.C2 oe oe
.C2 IJ IJ "Dutch IJ ligature"
.C2 ij ij "Dutch ij ligature"
.C2 ss germandbls
.C2 'A Aacute
.C2 'C Cacute
.C2 'E Eacute
.C2 'I Iacute
.C2 'O Oacute
.C2 'U Uacute
.C2 'a aacute
.C2 'c cacute
.C2 'e eacute
.C2 'i iacute
.C2 'o oacute
.C2 'u uacute
.C2 :A Adieresis
.C2 :E Edieresis
.C2 :I Idieresis
.C2 :O Odieresis
.C2 :U Udieresis
.C2 :Y Ydieresis
.C2 :a adieresis
.C2 :e edieresis
.C2 :i idieresis
.C2 :o odieresis
.C2 :u udieresis
.C2 :y ydieresis
.C2 ^A Acircumflex
.C2 ^E Ecircumflex
.C2 ^I Icircumflex
.C2 ^O Ocircumflex
.C2 ^U Ucircumflex
.C2 ^a acircumflex
.C2 ^e ecircumflex
.C2 ^i icircumflex
.C2 ^o ocircumflex
.C2 ^u ucircumflex
.C2 `A Agrave
.C2 `E Egrave
.C2 `I Igrave
.C2 `O Ograve
.C2 `U Ugrave
.C2 `a agrave
.C2 `e egrave
.C2 `i igrave
.C2 `o ograve
.C2 `u ugrave
.C2 ~A Atilde
.C2 ~N Ntilde
.C2 ~O Otilde
.C2 ~a atilde
.C2 ~n ntilde
.C2 ~o otilde
.C2 vS Scaron
.C2 vs scaron
.C2 vZ Zcaron
.C2 vz zcaron
.C2 ,C Ccedilla
.C2 ,c ccedilla
.C2 /L Lslash "Polish L with a slash"
.C2 /l lslash "Polish l with a slash"
.C2 /O Oslash
.C2 /o oslash
.C2 oA Aring
.C2 oa aring
.C2 a" hungarumlaut "Hungarian umlaut"
.C2 a- macron "macron or bar accent"
.C2 a. dotaccent "dot accent"
.C2 a^ circumflex "circumflex accent"
.C2 aa acute "acute accent"
.C2 ga grave "grave accent"
.C2 ab breve "breve accent"
.C2 ac cedilla "cedilla accent"
.C2 ad dieresis "umlaut or dieresis"
.C2 ah caron "h\('a\(vcek accent"
.C2 ao ring "ring or circle accent"
.C2 a~ tilde "tilde accent"
.C2 ho ogonek "hook or ogonek accent"
.C2 .i dotlessi "i without a dot"
.C2 .j dotlessj "j without a dot"
.C2 Cs currency "Scandinavian currency sign"
.C2 Do dollar
.C2 Po sterling
.C2 Ye yen
.C2 Fn florin
.C2 ct cent
.C2 Fo guillemotleft
.C2 Fc guillemotright
.C2 fo guilsinglleft
.C2 fc guilsinglright
.C2 r! exclamdown
.C2 r? questiondown
.C2 ff ff "ff ligature"
.C2 fi fi "fi ligature"
.C2 fl fl "fl ligature"
.C2 Fi ffi "ffi ligature"
.C2 Fl ffl "ffl ligature"
.C2 OK \& "check mark, tick"
.C2 Of ordfeminine
.C2 Om ordmasculine
.C2 S1 onesuperior
.C2 S2 twosuperior
.C2 S3 threesuperior
.C2 <- arrowleft
.C2 -> arrowright
.C2 <> arrowboth "horizontal double-headed arrow"
.C2 da arrowdown
.C2 ua arrowup
.C2 va \& "vertical double-headed arrow"
.C2 lA arrowdblleft
.C2 rA arrowdblright
.C2 hA arrowdblboth "horizontal double-headed double arrow"
.C2 dA arrowdbldown
.C2 uA arrowdblup
.C2 vA \& "vertical double-headed double arrow"
.C2 ba bar
.C2 bb brokenbar
.C2 br br "box rule with traditional troff metrics"
.C2 ru ru "baseline rule"
.C2 ul ul "underline with traditional troff metrics"
.C2 bv bv "bold vertical"
.C2 bs bell
.C2 ci circle
.C2 bu bullet
.C2 co copyright
.C2 rg registered
.C2 tm trademark
.C2 dd daggerdbl "double dagger sign"
.C2 dg dagger
.C2 ps paragraph
.C2 sc section
.C2 de degree
.C2 em emdash "em dash"
.C2 en endash "en dash"
.C2 %0 perthousand "per thousand, per mille sign"
.C2 12 onehalf
.C2 14 onequarter
.C2 34 threequarters
.C2 f/ fraction "bar for fractions"
.C2 fm minute "footmark, prime"
.C2 sd second
.C2 ha asciicircum "\s-2ASCII\s+2 circumflex, hat, caret"
.C2 ti asciitilde "\s-2ASCII\s0 tilde, large tilde"
.C2 hy hyphen
.C2 lB bracketleft
.C2 rB bracketright
.C2 lC braceleft
.C2 rC braceright
.C2 la angleleft "left angle bracket"
.C2 ra angleright "right angle bracket"
.C2 lh handleft
.C2 rh handright
.C2 Bq quotedblbase "low double comma quote"
.C2 bq quotesinglbase "low single comma quote"
.C2 lq quotedblleft
.C2 rq quotedblright
.C2 oq quoteleft "single open quote"
.C2 aq quotesingle "apostrophe quote"
.C2 or bar
.C2 at at
.C1 - minus "minus sign from current font"
.C2 sh numbersign
.C2 sl slash
.C2 rs backslash
.C2 sq square
.C2 3d therefore
.C2 tf therefore
.C2 *A Alpha
.C2 *B Beta
.C2 *C Xi
.C2 *D Delta
.C2 *E Epsilon
.C2 *F Phi
.C2 *G Gamma
.C2 *H Theta
.C2 *I Iota
.C2 *K Kappa
.C2 *L Lambda
.C2 *M Mu
.C2 *N Nu
.C2 *O Omicron
.C2 *P Pi
.C2 *Q Psi
.C2 *R Rho
.C2 *S Sigma
.C2 *T Tau
.C2 *U Upsilon
.C2 *W Omega
.C2 *X Chi
.C2 *Y Eta
.C2 *Z Zeta
.C2 *a alpha
.C2 *b beta
.C2 *c xi
.C2 *d delta
.C2 *e epsilon
.C2 *f phi
.C2 +f phi1 "variant phi"
.C2 *g gamma
.C2 *h theta
.C2 +h theta1 "variant theta"
.C2 *i iota
.C2 *k kappa
.C2 *l lambda
.C2 *m mu
.C2 *n nu
.C2 *o omicron
.C2 *p pi
.C2 +p omega1 "variant pi, looking like omega"
.C2 *q psi
.C2 *r rho
.C2 *s sigma
.C2 *t tau
.C2 *u upsilon
.C2 *w omega
.C2 *x chi
.C2 *y eta
.C2 *z zeta
.C2 ts sigma1 "terminal sigma"
.C2 ~~ approxequal
.C2 ~= approxequal
.C2 != notequal
.C2 ** asteriskmath
.C2 -+ minusplus
.C2 +- plusminus
.C2 <= lessequal
.C2 == equivalence
.C2 =~ congruent
.C2 >= greaterequal
.C2 AN logicaland
.C2 OR logicalor
.C2 no logicalnot
.C2 te existential "there exists, existential quantifier"
.C2 fa universal "for all, universal quantifier"
.C2 Ah aleph
.C2 Im Ifraktur "Fraktur I, imaginary"
.C2 Re Rfraktur "Fraktur R, real"
.C2 if infinity
.C2 md dotmath
.C2 mo element
.C2 mu multiply
.C2 nb notsubset
.C2 nc notpropersuperset
.C2 ne notequivalence
.C2 nm notelement
.C2 pl plusmath "plus sign in special font"
.C2 eq equalmath "equals sign in special font"
.C2 pt proportional
.C2 pp perpendicular
.C2 sb propersubset
.C2 sp propersuperset
.C2 ib reflexsubset
.C2 ip reflexsuperset
.C2 ap similar
.C2 pd partialdiff "partial differentiation sign"
.C2 c* circlemultiply "multiply sign in a circle"
.C2 c+ circleplus "plus sign in a circle"
.C2 ca intersection "intersection, cap"
.C2 cu union "union, cup"
.C2 di divide "division sign"
.C2 -h hbar
.C2 gr gradient
.C2 es emptyset
.C2 CL club "club suit"
.C2 SP spade "spade suit"
.C2 HE heart "heart suit"
.C2 DI diamond "diamond suit"
.C2 CR carriagereturn "carriage return symbol"
.C2 st suchthat
.C2 /_ angle
.C2 << "" "much less"
.C2 >> "" "much greater"
.C2 wp weierstrass "Weierstrass p"
.C2 lz lozenge
.C2 an arrowhorizex "horizontal arrow extension"
.ch Fo
.SH "SEE ALSO"
.BR groff (@MAN1EXT@)
.br
.IR "An extension to the troff character set for Europe" ,
E.G. Keizer, K.J. Simonsen, J. Akkerhuis,
EUUG Newsletter, Volume 9, No. 2, Summer 1989
